# wxStaticLine Class Reference
[Controls]

`#include <wx/statline.h>`

Inheritance diagram for wxStaticLine:
[legend]

## Detailed Description

A static line is just a line which may be used in a dialog to separate the groups of controls.

The line may be only vertical or horizontal. Moreover, not all ports (notably not wxGTK) support specifying the transversal direction of the line (e.g. height for a horizontal line) so for maximal portability you should specify it as wxDefaultCoord.

## Styles

This class supports the following styles:

- wxLI_HORIZONTAL:
  Creates a horizontal line.
- wxLI_VERTICAL:
  Creates a vertical line.

##

Library: wxCore

Category: Controls

See also:
  wxStaticBox

## Public Member Functions
| wxStaticLine ()
| Default constructor.
| wxStaticLine (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxLI_HORIZONTAL, const wxString &name=wxStaticLineNameStr)
| Constructor, creating and showing a static line.
bool | Create (wxWindow *parent, wxWindowID id=wxID_ANY, const wxPoint &pos=wxDefaultPosition, const wxSize &size=wxDefaultSize, long style=wxLI_HORIZONTAL, const wxString &name=wxStaticLineNameStr)
| Creates the static line for two-step construction.
bool | IsVertical () const
| Returns true if the line is vertical, false if horizontal.
## Static Public Member Functions
static int | GetDefaultSize ()
| This static function returns the size which will be given to the smaller dimension of the static line, i.e.

List of all members.

## Constructor & Destructor Documentation

wxStaticLine::wxStaticLine | ( |  | ) |

Default constructor.

wxStaticLine::wxStaticLine | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxLI_HORIZONTAL`,
|  | const wxString & | name = `wxStaticLineNameStr` |
| ) |  |  |

Constructor, creating and showing a static line.

Parameters:

  | parent | Parent window. Must not be NULL.
  | id | Window identifier. The value wxID_ANY indicates a default value.
  | pos | Window position. If wxDefaultPosition is specified then a default position is chosen.
  | size | Size. Note that either the height or the width (depending on whether the line if horizontal or vertical) is ignored.
  | style | Window style (either wxLI_HORIZONTAL or wxLI_VERTICAL).
  | name | Window name.

See also:
  Create()

## Member Function Documentation

bool wxStaticLine::Create | ( | wxWindow * | parent,
|  | wxWindowID | id = `wxID_ANY`,
|  | const wxPoint & | pos = `wxDefaultPosition`,
|  | const wxSize & | size = `wxDefaultSize`,
|  | long | style = `wxLI_HORIZONTAL`,
|  | const wxString & | name = `wxStaticLineNameStr` |
| ) |  |  |

Creates the static line for two-step construction.

See wxStaticLine() for further details.

Reimplemented from wxWindow.

static int wxStaticLine::GetDefaultSize | ( |  | ) | `[static]`

This static function returns the size which will be given to the smaller dimension of the static line, i.e.

its height for a horizontal line or its width for a vertical one.

bool wxStaticLine::IsVertical | ( |  | ) | const

Returns true if the line is vertical, false if horizontal.

|  | [ top ]